#!/bin/sh

#echo "DOWNLOAD FEDORA IMAGE"
#mkdir -p work
#wget --show-progress -nc -c -O work/image.qcow2 https://download.fedoraproject.org/pub/fedora/linux/releases/38/Server/x86_64/images/Fedora-Server-KVM-38-1.6.x86_64.qcow2

#echo "PREPARE IMG"
#qemu-img resize work/image.qcow2 30G

echo "COPY BASE IMG"
cp work/base.qcow2 work/image.qcow2

# sudo systemctl enable --now libvirtd
# sudo virsh --connect qemu:///session net-start default

virt-install --connect qemu:///session --name FedoraServer \
     --memory 8192  --cpu host --vcpus 4 --graphics none \
     --os-variant fedora-unknown \
     --import  \
     --disk work/image.qcow2,format=qcow2,bus=virtio \
     --network bridge=virbr0,model=virtio
